> ## Documentation Index
> Fetch the complete documentation index at: https://docs.stateset.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Published config for the loader

> Served by the widget admin server. Returns { settings: <published config> } for siteId; 204 when the site has no published config.

Served by the widget admin server. Returns `&#123; settings: &lt;published config> &#125;` for `siteId`; `204` when the site has no published config.

### Query parameters

<ParamField query="siteId" type="string">
  Site id
</ParamField>

### Response

`Settings`

<ResponseField name="settings" type="object">
  <Expandable title="settings">
    <ResponseField name="companyName" type="string" />

    <ResponseField name="messageEndpoint" type="string" />

    <ResponseField name="theme" type="object">
      <Expandable title="theme">
        <ResponseField name="primary" type="string" />

        <ResponseField name="secondary" type="string" />

        <ResponseField name="text" type="string" />

        <ResponseField name="accent" type="string" />

        <ResponseField name="hover" type="string" />
      </Expandable>
    </ResponseField>
  </Expandable>
</ResponseField>

<ResponseField name="updated_at" type="string (date-time)" />

### Status codes

| Code  | Meaning |
| ----- | ------- |
| `200` | OK      |

<RequestExample>
  ```bash cURL theme={null}
  curl --request GET \
    --url 'https://api.example.com/api/widget/settings'
  ```
</RequestExample>

<ResponseExample>
  ```json 200 theme={null}
  {
    "settings": {
      "companyName": "Acme Outdoors",
      "messageEndpoint": "string",
      "theme": {
        "primary": "string",
        "secondary": "string",
        "text": "Two-person tent, green — replacement for damaged pole set.",
        "accent": "string",
        "hover": "string"
      }
    },
    "updated_at": "2026-08-31T14:22:05Z"
  }
  ```
</ResponseExample>
